#pragma once
#include "../base/interface.hpp"

namespace lsp::provider
{
    class Exit : public INotificationProvider
    {
    public:
        Exit() = default;

        std::string GetMethod() const override;
        std::string GetProviderName() const override;
        void HandleNotification(const protocol::NotificationMessage& notification, ExecutionContext& context) override;
    };
}
